export declare class AssertOrder {
    /**
     * Gets the current expecting step.
     */
    get currentStep(): number;
    private state;
    constructor(plan?: number);
    /**
     * Asserts the current step is `step`.
     * @param step expected step.
     */
    is(step: number): void;
    /**
     * Asserts the current step is not `step`.
     * @param step not expected step.
     */
    not(step: number): void;
    /**
     * Reset to specified step.
     */
    jump(step: number): void;
    /**
     * Move to next step.
     */
    move(): void;
    /**
     * Asserts the specified step will run once.
     */
    once(step: number): void;
    on(step: number, assert: (step: number) => void): void;
    atLeastOnce(step: number): number;
    any(steps: number[], handler?: (step: number) => void): number;
    onAny(steps: number[], ...asserts: Array<(...args: any[]) => any>): void;
    end(timeout: number): Promise<number>;
    end(): number;
    exactly(step: number, times: number): number;
    wait(step: number): Promise<void>;
    wait(step: number, callback: () => void): void;
    private assert;
}
//# sourceMappingURL=AssertOrder.d.ts.map