"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertron = void 0;
const errors_js_1 = require("../errors.js");
const index_js_1 = require("../utils/index.js");
const falsy_js_1 = require("./falsy.js");
const isInstanceof_js_1 = require("./isInstanceof.js");
const pathEqual_js_1 = require("./pathEqual.js");
const rejects_js_1 = require("./rejects.js");
const repeat_js_1 = require("./repeat.js");
const resolves_js_1 = require("./resolves.js");
const satisfies_js_1 = require("./satisfies.js");
const throws_js_1 = require("./throws.js");
const truthy_js_1 = require("./truthy.js");
exports.assertron = {
    false(value) {
        if (value !== false)
            throw new errors_js_1.AssertionError((0, index_js_1.notEqualMessage)(value, false), { ssf: exports.assertron.false });
    },
    falsy: falsy_js_1.falsy,
    isInstanceof: isInstanceof_js_1.isInstanceof,
    pathEqual: pathEqual_js_1.pathEqual,
    rejects: rejects_js_1.rejects,
    repeat: repeat_js_1.repeat,
    resolves: resolves_js_1.resolves,
    satisfies: satisfies_js_1.satisfies,
    throws: throws_js_1.throws,
    true(value) {
        if (value !== true)
            throw new errors_js_1.AssertionError((0, index_js_1.notEqualMessage)(value, true), { ssf: exports.assertron.true });
    },
    truthy: truthy_js_1.truthy,
    uuid(value) {
        if (typeof value !== 'string')
            throw new errors_js_1.AssertionError(`Expected ${value} to be a string`, { ssf: exports.assertron.uuid });
        if (/^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$/.test(value))
            return;
        throw new errors_js_1.AssertionError(`Expected ${value} to be a valid UUID`, { ssf: exports.assertron.uuid });
    }
};
//# sourceMappingURL=assertron.js.map