"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FailOnOccurrence = exports.AssertionError = void 0;
const iso_error_1 = require("iso-error");
const index_js_1 = require("./utils/index.js");
/**
 * A base error for all assertion errors
 */
class AssertionError extends iso_error_1.ModuleError {
    constructor(message, options) {
        super('assertron', message, options);
    }
}
exports.AssertionError = AssertionError;
class FailOnOccurrence extends AssertionError {
    constructor(occurrence, error, options) {
        super((0, index_js_1.failOnOccurrence)(occurrence, error), options);
        Object.defineProperty(this, "occurrence", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: occurrence
        });
        Object.defineProperty(this, "error", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: error
        });
    }
}
exports.FailOnOccurrence = FailOnOccurrence;
//# sourceMappingURL=errors.js.map