"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notSatisfiedMessage = void 0;
const tersify_1 = require("tersify");
function notSatisfiedMessage(entries) {
    return entries
        .map(e => {
        const path = formatPath(e.path);
        return `Expect ${path} to satisfy ${formatValue(e.expected)}, but received ${formatValue(e.actual)}`;
    })
        .join('\n');
}
exports.notSatisfiedMessage = notSatisfiedMessage;
function formatPath(entries) {
    if (entries.length === 0)
        return 'actual';
    const nodes = [...entries];
    if (isIndice(nodes[0])) {
        nodes.unshift('actual');
    }
    return nodes
        .map(n => (isIndice(n) ? `[${n}]` : '.' + n))
        .join('')
        .slice(1);
}
function isIndice(node) {
    return typeof node === 'number';
}
function formatValue(value) {
    return (0, tersify_1.tersify)(value);
}
//# sourceMappingURL=notSatisfiedMessage.js.map