"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notResolvedMessage = exports.notRejectedMessage = void 0;
const tersify_1 = require("tersify");
function notRejectedMessage(value) {
    return (`Expected promise to reject, but it resolves with ` +
        (typeof value === 'string' ? `'${value}'` : (0, tersify_1.tersify)(value, { maxLength: Infinity })));
}
exports.notRejectedMessage = notRejectedMessage;
function notResolvedMessage(error) {
    return (`Expected promise to resolve, but it rejects with ` +
        (typeof error === 'string'
            ? `'${error}'`
            : error instanceof Error
                ? error
                : (0, tersify_1.tersify)(error, { maxLength: Infinity })));
}
exports.notResolvedMessage = notResolvedMessage;
//# sourceMappingURL=promiseMessages.js.map