import type { State } from './types.js';
export declare class StateMachine {
    listeners: Record<number, Array<() => void>>;
    step: number;
    maxStep?: number;
    subStep: number;
    minSubStep?: number;
    maxSubStep?: number;
    constructor(maxStep?: number);
    jump(step: number): number;
    move(): number;
    moveSubStep(): number;
    get(): State;
    on(step: number, listener: () => void): void;
    isNotValid(step: number): boolean;
    isValid(step: number): boolean;
    isMaxStepDefined(): boolean;
    stopAccepting(): void;
    isAccepting(): boolean;
    getTimeTaken(): number;
}
//# sourceMappingURL=StateMachine.d.ts.map