import type { AnyConstructor } from 'type-plus';
import type { ErrorConstructor, ErrorValidator } from '../types.js';
import { type SatisfyExpectation } from './satisfies.js';
export type Assertron = {
    false(value: unknown): asserts value is false;
    falsy(value: any): asserts value is false | 0 | '' | null | undefined;
    isInstanceof<T extends AnyConstructor>(value: unknown, type: T): asserts value is InstanceType<T>;
    pathEqual(actual: string, expected: string): void;
    rejects<R = any>(promise: Promise<any>): Promise<R>;
    repeat<R>(fn: () => R | (() => Promise<R>), times: number): ReturnType<typeof fn> extends Promise<R> ? Promise<R> : R;
    resolves(promise: Promise<any>): Promise<void>;
    satisfies<Actual, Expected extends Actual>(actual: Actual, expected: SatisfyExpectation<Expected>): void;
    throws<E extends Error>(value: PromiseLike<any>, error?: ErrorValidator | ErrorConstructor<E>): Promise<E>;
    throws<E extends Error>(value: (...args: any[]) => never, error?: ErrorValidator | ErrorConstructor<E>): E;
    throws<E extends Error, R = any>(value: (...args: any[]) => R, error?: ErrorValidator | ErrorConstructor<E>): R extends Promise<any> ? Promise<E> : E;
    throws<T, R = any>(value: (...args: any[]) => R, validator?: ErrorValidator): R extends Promise<any> ? Promise<T> : T;
    true(value: unknown): asserts value is true;
    truthy(value: unknown): void;
    uuid(value: unknown): void;
};
export declare const assertron: Assertron;
//# sourceMappingURL=assertron.d.ts.map