import { AssertionError } from '../errors.js';
import { notEqualMessage } from '../utils/index.js';
import { falsy } from './falsy.js';
import { isInstanceof } from './isInstanceof.js';
import { pathEqual } from './pathEqual.js';
import { rejects } from './rejects.js';
import { repeat } from './repeat.js';
import { resolves } from './resolves.js';
import { satisfies } from './satisfies.js';
import { throws } from './throws.js';
import { truthy } from './truthy.js';
export const assertron = {
    false(value) {
        if (value !== false)
            throw new AssertionError(notEqualMessage(value, false), { ssf: assertron.false });
    },
    falsy,
    isInstanceof,
    pathEqual,
    rejects,
    repeat,
    resolves,
    satisfies,
    throws,
    true(value) {
        if (value !== true)
            throw new AssertionError(notEqualMessage(value, true), { ssf: assertron.true });
    },
    truthy,
    uuid(value) {
        if (typeof value !== 'string')
            throw new AssertionError(`Expected ${value} to be a string`, { ssf: assertron.uuid });
        if (/^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$/.test(value))
            return;
        throw new AssertionError(`Expected ${value} to be a valid UUID`, { ssf: assertron.uuid });
    }
};
//# sourceMappingURL=assertron.js.map