import { ModuleError } from 'iso-error';
import type { RequiredPick } from 'type-plus';
/**
 * A base error for all assertion errors
 */
export declare class AssertionError extends ModuleError {
    constructor(message: string, options: AssertionError.Options);
}
export declare namespace AssertionError {
    type Options = RequiredPick<ModuleError.Options, 'ssf'>;
}
export declare class FailOnOccurrence extends AssertionError {
    occurrence: number;
    error: any;
    constructor(occurrence: number, error: any, options: AssertionError.Options);
}
//# sourceMappingURL=errors.d.ts.map