import { ModuleError } from 'iso-error';
import { failOnOccurrence } from './utils/index.js';
/**
 * A base error for all assertion errors
 */
export class AssertionError extends ModuleError {
    constructor(message, options) {
        super('assertron', message, options);
    }
}
export class FailOnOccurrence extends AssertionError {
    constructor(occurrence, error, options) {
        super(failOnOccurrence(occurrence, error), options);
        Object.defineProperty(this, "occurrence", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: occurrence
        });
        Object.defineProperty(this, "error", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: error
        });
    }
}
//# sourceMappingURL=errors.js.map