import { tersify } from 'tersify';
export function notSatisfiedMessage(entries) {
    return entries
        .map(e => {
        const path = formatPath(e.path);
        return `Expect ${path} to satisfy ${formatValue(e.expected)}, but received ${formatValue(e.actual)}`;
    })
        .join('\n');
}
function formatPath(entries) {
    if (entries.length === 0)
        return 'actual';
    const nodes = [...entries];
    if (isIndice(nodes[0])) {
        nodes.unshift('actual');
    }
    return nodes
        .map(n => (isIndice(n) ? `[${n}]` : '.' + n))
        .join('')
        .slice(1);
}
function isIndice(node) {
    return typeof node === 'number';
}
function formatValue(value) {
    return tersify(value);
}
//# sourceMappingURL=notSatisfiedMessage.js.map